-- Add a foreign key constraints so that when a group is deleted, the delete is cascaded down to other tables
ALTER TABLE group_member
    DROP CONSTRAINT IF EXISTS FK_group_member_groups_groupId;
ALTER TABLE group_member
    ADD CONSTRAINT FK_group_member_groups_groupId FOREIGN KEY ("group_id") REFERENCES "groups"(id) ON DELETE CASCADE;

ALTER TABLE capability
DROP CONSTRAINT IF EXISTS FK_capability_groups_groupId;
ALTER TABLE capability
    ADD CONSTRAINT FK_capability_groups_groupId FOREIGN KEY ("group_id") REFERENCES "groups"(id) ON DELETE CASCADE;

-- Delete all groups that were auto-generated for MSM->AG migration
DELETE FROM groups WHERE id IN (SELECT id FROM groups WHERE description LIKE 'Migrated from Sensor Group name: %');

-- Delete capabilities and group_members that reference defunct groups (not just from migration)
DELETE FROM capability WHERE group_id NOT IN (SELECT id FROM groups);
DELETE FROM group_member WHERE group_id NOT IN (SELECT id FROM groups);